Bug 526957 - Need to match sizing metadata with original version.
Need to match sizing metadata with original version.
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: liberation-fonts (Show other bugs)
14
All Linux
low Severity medium
: ---
: ---
Assigned To: Pravin Satpute
Fedora Extras Quality Assurance
: i18n
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-10-02 14:24 EDT by Daniel Mircea
Modified: 2010-08-03 00:50 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-03 00:50:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Mircea 2009-10-02 14:24:46 EDT
The fonts are larger than their equivalents, thus braking some websites.
Having tested websites on windows, macosx and ubuntu, fedora is the only one that breaks the layout because of the font size regardless of the browser used.
Comment 1 Bug Zapper 2010-04-28 06:40:01 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Caius Chance 2010-05-05 02:33:48 EDT
Is every character of the fonts larger than the windows equivalents? Which fonts are you using on other distributions / OSes? Have you selected Liberation Fonts as default fonts? If so, which family of Liberation Fonts have you selected?
Comment 3 Caius Chance 2010-05-05 21:01:00 EDT
Would you please attach screenshots for reference, thanks.
Comment 4 Caius Chance 2010-05-11 02:47:07 EDT
ping
Comment 5 Daniel Mircea 2010-05-11 15:09:51 EDT
(In reply to comment #3)
> Would you please attach screenshots for reference, thanks.    

Sorry for not being able to reply faster. This is easy noticeable on most websites. I picked up a somewhat random website - http://www.yahoo-colgate-salud-bucal.com/
For example, the fonts are noticeably larger across the menu.

This is how it should look:
firefox windows - http://viseztrance.com/fedora/screen-win.png
firefox max os x - http://viseztrance.com/fedora/screen-mac.png
firefox ubuntu - http://viseztrance.com/fedora/screen-ubuntu.png

On fedora it almost overflows on firefox - http://viseztrance.com/fedora/screen-fedora-firefox.png
Whereas in chromium it actually does - http://viseztrance.com/fedora/screen-fedora-chromium.png

Compare the remaining distance to the right with fedoras. The fonts are just larger.
Comment 6 Caius Chance 2010-05-11 23:15:55 EDT
Thanks so much for your info.

So, are you saying that both Firefox and Chromium on Fedora displayed Liberation Fonts oversized?

Also, before I could confirm this bug, I would like you to have a look on the font size settings in Firefox on the above OSes. Are they at same value, such as 16?

Finally, I would like you to kindly check the DPI value in each OS. Are they at same value? There is an online calculator which might be useful for you: http://members.ping.de/~sven/dpi.html

I could have a look on the metadata of the Fonts. I will get back to you on my side.
Comment 7 Caius Chance 2010-05-11 23:34:59 EDT
Some TeX values are different. But I don't think is relevant. If Firefox on other OSes displayed this font set correctly, then how about submit this bug to Firefox component also?
Comment 8 Caius Chance 2010-05-11 23:39:57 EDT
How about if you could kindly give a try with this package?

http://koji.fedoraproject.org/koji/buildinfo?buildID=172693

Though this is tag F14, these should be no impact to system stability and okay to install.
Comment 9 Daniel Mircea 2010-05-13 16:53:09 EDT
I installed the packages, and restarted X, but the issue remains.

To be fair, all the screenshots were made from very different machines, as such different dpis; however the fonts on that website, were all set in pixels. While nowadays browsers don't fully respect that to accomodate zooming, the results are consistent.

As I mentioned before that was just an example.
The menu from this website looks broken only on fedora as well (regardless of browser or dpi): http://www.css3.info/ ; I'm not sure if filing this bug under firefox is appropriate.
Comment 10 Fedora Admin XMLRPC Client 2010-07-14 20:22:17 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 11 Pravin Satpute 2010-07-15 01:01:20 EDT
Hi Daniel,

I am taking a look at this bug.

- one test case can confirm this bug in font or not
- just install liberation fonts in other OS you want
- and in OpenOffice or any other editor compare the default fonts of other OS and liberation fonts at a same size.

or install other OS default fonts in fedora and check there size different at particular point size


please put that image here. (sorry for extra over head or let me know those fonts i will compare for you)

I think rendering of any web page have many dependencies, 

i.e screen resolution, setting of zoom attribute in web browser, selected font size, web should be developed in uniform way i.e it should look same way on all browser
Comment 12 Pravin Satpute 2010-07-29 03:30:59 EDT
ping Daniel
Comment 13 Bug Zapper 2010-07-30 06:44:43 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 14 Daniel Mircea 2010-08-02 15:29:32 EDT
Hi, I apologize for replying on such a late notice. 
The behaviour is not reproducible on open office, no matter how hard I tried. As such, I think you are right, this is a browser issue (even though it's resolved by installing the ms core fonts).
Comment 15 Pravin Satpute 2010-08-03 00:50:11 EDT
(In reply to comment #14)
> Hi, I apologize for replying on such a late notice. 

No problem, this happens

> The behaviour is not reproducible on open office, no matter how hard I tried.
> As such, I think you are right, this is a browser issue (even though it's
> resolved by installing the ms core fonts).    

We have some plan to enhance its metric compatibility more, will do next release 1.07 with this update.

I am closing this as a NotABug, 

In future if you have any input's in this regards do update it, will be happy to fix it

Note You need to log in before you can comment on or make changes to this bug.